Login  •  Register


The time is now: Sun Mar 29, 2020 2:42 am

Emaculation wiki  •  Delete all board cookies



Post new topic  Reply to topic Page 10 of 10 [ 238 posts ]    Go to page Previous  1 ... 6, 7, 8, 9, 10
Print view Previous topic  |  Next topic
Author Message
PostPosted: Fri Mar 20, 2020 12:45 pm 
Offline
Tinkerer

Joined: Mon Oct 31, 2016 11:56 pm
Posts: 46
Location: Prague or space village in woods near of it
OK just try to run qemu-system-ppc.exe vanilla without parameters, if it report this error too, if not add parameters one by one to find which is generating this error.


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Sun Mar 22, 2020 8:30 am 
Offline
Expert User
User avatar

Joined: Fri Feb 13, 2004 8:59 am
Posts: 4809
Location: Sittard, The Netherlands
Hi,

Yes, I see this error too in a windows 7 virtual machine. No real idea what causes it. But if I had to guess, it has something to do with the dll's included in the compiler on Fedora Linux I use to build those executables.

Non-experimental builds do run (but only without -sdl)

Best,
Cat_7


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Sun Mar 22, 2020 3:45 pm 
Offline
Space Cadet

Joined: Wed Mar 18, 2020 11:23 pm
Posts: 3
Thank you for the help but it's doesn't work. I get the error even with no parameters in the bat file.

I've tried other builds and different boot iso's too.

Either I get the GDI32 error or I just get a blank cmd32 window that never goes away.


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Tue Mar 24, 2020 10:03 am 
Offline
Student Driver

Joined: Sat May 06, 2017 6:40 pm
Posts: 22
Hi Cat_7,

I'm trying to compile latest version of binaries for Linux but for some reason it fails downloading sources from git.
How I would compile latest experimental version or both? Are there different, separate sources or parameters to compile?

Regards
Thom


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Tue Mar 24, 2020 11:32 am 
Offline
Expert User
User avatar

Joined: Fri Feb 13, 2004 8:59 am
Posts: 4809
Location: Sittard, The Netherlands
Hi,

Which repositories are you using?

Best,
Cat_7


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Tue Mar 24, 2020 11:40 am 
Offline
Student Driver

Joined: Sat May 06, 2017 6:40 pm
Posts: 22
Hi Cat_7,
I'm using same as last time.

thom75 wrote:
Code:
git clone -b screamer https://github.com/mcayland/qemu qemu-screamer
cd qemu-screamer
./configure --target-list="ppc-softmmu" --enable-gtk --enable-sdl
make
cd ppc-softmmu
strip qemu-system-ppc



Kind regards,
Thom


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Tue Mar 24, 2020 12:18 pm 
Offline
Expert User
User avatar

Joined: Fri Feb 13, 2004 8:59 am
Posts: 4809
Location: Sittard, The Netherlands
Concerning the Windows 7 problem:

I tried building from the official repository and such a build also fails on windows 7. So it is not related to the screamer code.
As the GDI32 dll is a windows dll I assume my compiler/qemu are now relying on the version that is available in Windows 10.

Besides the obvious inconvenience that this presents to Windows 7 users, I would remark that Windows 7 is almost obsolete.

Best,
Cat_7


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Tue Mar 24, 2020 12:38 pm 
Offline
Tinkerer

Joined: Mon Oct 31, 2016 11:56 pm
Posts: 46
Location: Prague or space village in woods near of it
If you know where pleas report bug report, some people are using Windows 7 just because they dont like Windows 10 appearance or data telemetry.
I search a lot, but i never found some nice Qemu forum, they should be something like that, they probably still living in age of mailing list and IRC, what is in direct contraction to not support Windows 7 which even MS still supporting.


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Tue Mar 24, 2020 1:05 pm 
Offline
Expert User
User avatar

Joined: Fri Feb 13, 2004 8:59 am
Posts: 4809
Location: Sittard, The Netherlands
I guess you might try the official windows builds from Stefan Weil. Note his builds do not support sound, as the code for that is not in the official repository. Also, our guides do not cover them.

https://qemu.weilnetz.de/

Bug reports should go to the bugtracker: https://bugs.launchpad.net/qemu/
EDIT: I suggest you do not send there bug reports based on the builds we provide.

Best,
Cat_7


Last edited by Ronald P. Regensburg on Tue Mar 24, 2020 2:39 pm, edited 2 times in total.
added info on bug reports


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Tue Mar 24, 2020 3:09 pm 
Offline
Expert User
User avatar

Joined: Fri Feb 13, 2004 8:59 am
Posts: 4809
Location: Sittard, The Netherlands
Hi Thom,

Those instructions should still work. It might be you experienced a time-out on the download from those additional repositories. Sometimes happens to me as well. Just try again after a while.

Best,
Cat_7


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Wed Mar 25, 2020 9:13 pm 
Offline
Student Driver

Joined: Sat May 06, 2017 6:40 pm
Posts: 22
Hi Cat_7,

It stops around 20-21% with this message:

Code:
Cloning into 'qemu-screamer'...
remote: Enumerating objects: 476200, done.
error: RPC failed; curl 56 OpenSSL SSL_read: error:14095126:SSL routines:ssl3_read_n:unexpected eof while reading, errno 0
fatal: the remote end hung up unexpectedly
fatal: early EOF
fatal: index-pack failed


Tried yesterday and today no difference, two different PCs.
Btw is that repository with ATI and Screamer or just Screamer?

Edit: It must be my connection. Asked friend of my and He just downloaded it fine.

Regards
Thom


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Thu Mar 26, 2020 2:41 pm 
Offline
Expert User
User avatar

Joined: Fri Feb 13, 2004 8:59 am
Posts: 4809
Location: Sittard, The Netherlands
I have now compiled latest qemu /qemu with screamer sound support with msys2. At least in my virtual machine with Windows 7, they run OK.

Find them here (under experimental builds):
viewtopic.php?f=34&t=9028&p=53788#p53788

Best,
Cat_7


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Thu Mar 26, 2020 3:30 pm 
Offline
Expert User
User avatar

Joined: Fri Feb 13, 2004 8:59 am
Posts: 4809
Location: Sittard, The Netherlands
@Thom

Both screamer and regular qemu now "support" the ati card. You will need, however, the openbios from our ati-related download to run with the ati card enabled.

EDIT:
I got a message from the developer saying:
the ATI bios may not be enough for MacOS with current upstream QEMU
because I think this patch is still needed to fix some mouse issues:

http://patchwork.ozlabs.org/patch/1147878/

and that was not taken in QEMU yet. But there's also absolutely no
advantage using ati-vga vs. standard vga yet as it's still using the same
unaccalerated framebuffer because the parts of the card needed for
accelerated graphics are not yet emulated so anyone interested in using
ati-vga might want to read here:

https://osdn.net/projects/qmiga/wiki/SubprojectAti

(and help to finish emulation if they are able to).

Best,
Cat_7


Last edited by Cat_7 on Fri Mar 27, 2020 9:02 pm, edited 1 time in total.
added info from developer


Top
 Profile  
Reply with quote Post a reply  
Display posts from previous:  Sort by  
Post new topic  Reply to topic Page 10 of 10 [ 238 posts ]    Go to page Previous  1 ... 6, 7, 8, 9, 10


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
 

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group